import { useEffect, useRef } from 'react';
export var useRunOnceAfterValueInitialization = function (cb, value) {
    var isValueInited = useRef(false);
    useEffect(function () {
        if (value && !isValueInited.current) {
            isValueInited.current = true;
            cb();
        }
    }, [cb, value]);
};
